Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
some G4 packages available
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1609
Location: U.S.A.

PostPosted: Sat Oct 27, 2007 3:42 pm    Post subject: Reply with quote

ddc wrote:
BoneKracker wrote:
Code:
~ $ dep -k openoffice


which ebuild emerge the "dep" tool ?

app-portage/udept

But I wouldn't probably get started using it. I've found it nice because it combines lots of other portage maintenance/admin functions (USE flags, dependencies, etc.), but it's starting to malfunction and it seems it is not being properly maintained any longer. You can get the same things done with other tools.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sat Oct 27, 2007 4:44 pm    Post subject: Reply with quote

Quote:
which ebuild emerge the "dep" tool ?


eshowkw has a similar output -> http://dev.gentoo.org/~dang/eshowkw

Quote:
how do you generate the .tgz ?


quickpkg ;)

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sat Oct 27, 2007 5:10 pm    Post subject: Reply with quote

Quote:
So I suppose it is a mystery, or the inability of the oodict eselect module to work on precompiled packages.


can anyone confirm if spelling works or not ? If it doesnt, does anyone know how to solve this ?

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Bones McCracker
Veteran
Veteran


Joined: 14 Mar 2006
Posts: 1609
Location: U.S.A.

PostPosted: Sat Oct 27, 2007 5:53 pm    Post subject: Reply with quote

BoneKracker wrote:
Spellcheck works fine for me.

I was referring to my own build of 2.3.0 - not any binary referred to here earlier. Sorry if I'm confusing things.
ndansmith also indicated it works for him (his build).
Back to top
View user's profile Send private message
pacho2
Developer
Developer


Joined: 04 Mar 2005
Posts: 2599
Location: Oviedo, Spain

PostPosted: Sat Oct 27, 2007 6:28 pm    Post subject: Reply with quote

Same problem here under amd64:
Code:

$ oocalc
no suitable windowing system found, exiting.

** (process:17958): WARNING **: Unknown error forking main binary / abnormal early exit ...



I merged it Sep 25 and it worked fine but, today, it cannot start :-/
Back to top
View user's profile Send private message
pacho2
Developer
Developer


Joined: 04 Mar 2005
Posts: 2599
Location: Oviedo, Spain

PostPosted: Sun Oct 28, 2007 9:59 am    Post subject: Reply with quote

After relaunching X it works again :-O
Back to top
View user's profile Send private message
lordcris
Apprentice
Apprentice


Joined: 09 Jul 2002
Posts: 248

PostPosted: Sat Jan 26, 2008 2:21 pm    Post subject: Reply with quote

hi,
how do i install and uninstall these packages?
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sat Jan 26, 2008 6:51 pm    Post subject: Reply with quote

download the one you need, put it in your $PKGDIR ( /usr/portage/packages/All by default i guess) and call emerge with the -K switch.

I will have access to my powerbook next weekend so expect a new oo build and other random updates.
And i will probably try out kde4, so let me now if anyone wants binaries for these.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
randalf
n00b
n00b


Joined: 02 Jan 2006
Posts: 61
Location: Dresden

PostPosted: Wed Feb 06, 2008 11:37 am    Post subject: Reply with quote

You should not update dev-libs/icu higher than 3.6-r2 for this openoffice-2.3.0 binary.
Using icu-3.8.* you might get errors while loading shared libraries.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Wed Feb 06, 2008 11:44 am    Post subject: Reply with quote

randalf wrote:
You should not update dev-libs/icu higher than 3.6-r2 for this openoffice-2.3.0 binary.
Using icu-3.8.* you might get errors while loading shared libraries.


yes, i´m trying to build a new oo package with support for the newer libraries but it fails somewhere due to some strange c++ java linking thingy.
Hadn´t much time but i hope i can fix it soon and will upload the new package asap ( or maybe just build without java support).

EDIT : same happens with latest ~arch packages hunspell and nss ( or nspr ?). Don´t updrage to them or my package won´t work.

thanks
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sat Feb 16, 2008 10:18 am    Post subject: Reply with quote

new ooo package built against current unstable is available, with java disabled because im hitting this bug. The patch available there is three years old and didnt help.
I also uploaded several ooo dependencies in case anyone needs them and added a few LINGUAS and other random packages people asked me about.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
ddc
Guru
Guru


Joined: 29 Aug 2006
Posts: 527

PostPosted: Sun Mar 16, 2008 12:30 am    Post subject: Reply with quote

information: the following ebuilds have success in emerge, and have been successfully used and tested

Quote:

[*] about what has been installed
---------------------------------

(*) app-accessibility-festival/1.95_beta-r4
Festival Text to Speech engine

(*) app-accessibility-mbrola/3.0.1h-r4
Speech synthesizer based on the concatenation of diphones. Includes sample voices.

(*) app-accessibility-speechd/0.56-r2
Implements /dev/speech (any text written to /dev/speech will be spoken aloud)

(*) app-accessibility-sphinx3/0.6.3
CMU Speech Recognition engine

(*) app-admin-gtkdiskfree/1.9.3-r1
Graphical tool to show free disk space

(*) app-admin-sudo/1.6.8_p12-r1
Allows users or groups to run commands as other users

(*) app-admin-syslog-ng/2.0.6
syslog replacement with advanced filtering features

(*) app-cdr-cdrtools/2.01.01_alpha34
A set of tools for CD/DVD reading and recording, including cdrecord

(*) app-doc-doxygen/1.5.4
documentation system for C++, C, Java, Objective-C, Python, IDL, and other languages

(*) app-doc-php-docs/20071125-r2
HTML documentation for PHP

(*) app-editors-gphpedit/0.9.6
A Gnome2 PHP/HTML source editor

(*) app-editors-hexedit/1.2.12
View and edit files in hex or ASCII

(*) app-editors-jedit/4.2-r2
Programmer's editor written in Java

(*) app-editors-nedit/5.5-r1
Multi-purpose text editor for the X Window System

(*) app-emulation-qemu/0.9.0
qemu emulator and abi wrapper meta ebuild

(*) app-emulation-qemu/softmmu-0.9.0
Multi-platform & multi-targets cpu emulator and dynamic translator

(*) app-emulation-qemu/user-0.9.0
Multi-platform & multi-targets cpu emulator and dynamic translator

(*) app-emulation-spim/7.3
MIPS Simulator

(*) app-laptop-gtkpbbuttons/0.6.10
On screen display client for pbbuttonsd

(*) app-laptop-pbbuttonsd/0.8.1-r2
Handles power management and special keys on laptops.

(*) app-misc-ca-certificates/20070303-r1
Common CA Certificates PEM files

(*) app-misc-cmatrix/1.2a-r1
An ncurses based app to show a scrolling screen from the Matrix

(*) app-misc-mc/4.6.1-r4
GNU Midnight Commander cli-based file manager

(*) app-misc-pax-utils/0.1.16
Various ELF related utils for ELF32, ELF64 binaries useful tools that can check files for security relevant properties

(*) app-office-abiword/2.4.6
Fully featured yet light and fast cross platform word processor

(*) app-office-dia/0.95.1
Diagram/flowchart creation program

(*) app-office-openoffice/2.3.0
OpenOffice.org, a full office productivity suite.

(*) app-office-scribus/1.3.3.9
Desktop Publishing (DTP) and Layout program for gentoo.

(*) app-office-texmacs/1.0.6-r1
GNU TeXmacs is a free GUI scientific editor, inspired by TeX and GNU Emacs.

(*) app-pda-pilot-link/0.12.3
suite of tools for moving data between a Palm device and a desktop

(*) app-portage-eix/0.10.2
Small utility for searching ebuilds with indexing for fast results

(*) app-portage-gentoolkit/0.2.3-r1
Collection of administration scripts for Gentoo

(*) app-portage-gentoolkit/dev-0.2.6.2
Collection of developer scripts for Gentoo

(*) app-portage-gentoolkit-dev/0.2.6.2
Collection of developer scripts for Gentoo

(*) app-portage-ufed/0.40-r6
Gentoo gentoo USE flags editor

(*) app-text-pdftk/1.12
A tool for manipulating PDF documents

(*) app-text-xpdf/3.02-r1
An X Viewer for PDF Files

(*) dev-java-ibm-jdk-bin/1.5.0.6-r1
IBM Java Development Kit 1.5

(*) dev-java-kaffe/1.1.7-r4
A cleanroom, open source Java VM and class libraries

(*) dev-java-libgtk-java/2.8.7-r1
Java bindings for GTK+

(*) dev-lang-R/2.6.1-r1
Language and environment for statistical computing and graphics

(*) dev-lang-erlang/12.2.0
Erlang programming language, runtime environment, and large collection of libraries

(*) dev-lang-php/5.2.5_p20080206-r3
The PHP language runtime engine: CLI, CGI and Apache2 SAPIs.

(*) dev-libs-apr/1.2.11
Apache Portable Runtime Library

(*) dev-libs-apr/util-1.2.10
Apache Portable Runtime Library

(*) dev-libs-apr-util/1.2.10
Apache Portable Runtime Library

(*) dev-libs-expat/2.0.1
XML parsing libraries

(*) dev-libs-libxml2/2.6.30-r1
Version 2 of the library to manipulate XML files

(*) dev-libs-openssl/0.9.8g
Toolkit for SSL v2/v3 and TLS v1

(*) dev-perl-URI/1.35
A URI Perl Module

(*) dev-ruby-rails/1.2.6
ruby on rails is a web-application and persistance framework

(*) dev-util-colorgcc/1.3.2-r4
Adds color to gcc output

(*) dev-util-cvs/1.12.12-r4
Concurrent Versions System - source code revision control tools

(*) dev-util-git/1.5.3.7-r1
GIT - the stupid content tracker, the revision control system heavily used by the gentoo kernel team

(*) dev-util-subversion/1.4.6
A compelling replacement for CVS.

(*) games-emulation-dosbox/0.72
DOS emulator

(*) gnome-extra-libgail-gnome/1.20.0
Gail libraries for GNOME

(*) gnome-extra-zenity/2.20.1
Tool to display dialogs from the commandline and shell scripts

(*) kde-base-kworldclock/3.5.8
KDE program that displays the part of the Earth lit up by the Sun

(*) mail-client-sylpheed/2.4.5
A lightweight email client and newsreader

(*) media-gfx-fbida/2.05
Image viewers for the framebuffer console (fbi) and X11 (ida).

(*) media-gfx-feh/1.3.4
A fast, lightweight imageviewer using imlib2

(*) media-gfx-gimp/2.4.2
GNU Image Manipulation Program

(*) media-gfx-imagemagick/6.3.7.9
A collection of tools and libraries for many image formats

(*) media-gfx-inkscape/0.45.1-r1
A SVG based generic vector-drawing program

(*) media-libs-libpng/1.2.24
Portable Network Graphics library

(*) media-libs-pdflib/7.0.2_p8
A library for generating PDF on the fly.

(*) media-sound-alsa-utils/1.0.14
Advanced gentoo Sound Architecture Utils (alsactl, alsamixer, etc.)

(*) media-sound-aumix/2.8-r4
Aumix volume/mixer control program

(*) media-sound-cdparanoia/3.10_pre0
an advanced CDDA reader with error correction

(*) media-sound-gnome-alsamixer/0.9.6
Gnome based ALSA Mixer

(*) media-sound-gqmpeg/0.91.1
front end to various audio players, including mpg123

(*) media-sound-lame/3.97-r1
LAME Ain't an MP3 Encoder

(*) media-sound-madplay/0.15.2b-r1
The MAD audio player

(*) media-sound-moc/2.5.0_alpha2
Music On Console - ncurses interface for playing audio files

(*) media-sound-mpg123/1.2.0
a realtime MPEG 1.0/2.0/2.5 audio player for layers 1, 2 and 3.

(*) media-sound-mpg321/0.2.10-r2
Free MP3 player, drop-in replacement for mpg123

(*) media-sound-sox/14.0.0
The swiss army knife of sound processing programs

(*) media-video-mplayer/1.0_rc2_p25993
Media Player for gentoo

(*) media-video-vlc/0.8.6e
VLC media player - Video player and streamer

(*) net-analyzer-ettercap/0.7.3-r2
A suite for man in the middle attacks and network mapping

(*) net-analyzer-netcat/110-r8
the network swiss army knife

(*) net-dialup-gtkterm/0.99.5-r1
A serial port terminal written in GTK+, similar to Windows' HyperTerminal.

(*) net-dialup-minicom/2.2-r1
Serial Communication Program

(*) net-firewall-iptables/1.3.8-r3
gentoo kernel (2.4+) firewall, NAT and packet mangling tools

(*) net-ftp-lftp/3.6.1-r1
A sophisticated ftp/sftp/http/https client and file transfer program

(*) net-ftp-pure-ftpd/1.0.21-r1
Fast, production-quality, standard-conformant FTP server.

(*) net-ftp-tftp-hpa/0.48
port of the OpenBSD TFTP server

(*) net-im-amsn/0.97_rc1
Alvaro's Messenger client for MSN

(*) net-irc-xchat/2.8.4-r3
Graphical IRC client

(*) net-misc-bridge-utils/1.2
Tools for configuring the gentoo kernel 802.1d Ethernet Bridge

(*) net-misc-dhcp/3.1.0
ISC Dynamic Host Configuration Protocol

(*) net-misc-neon/0.26.4
HTTP and WebDAV client library

(*) net-misc-netkit-telnetd/0.17-r6
Standard gentoo telnet client and server

(*) net-misc-rdate/1.4-r3
use TCP or UDP to retrieve the current time of another machine

(*) net-misc-unison/2.13.16
Two-way cross-platform file synchronizer

(*) net-misc-vde/2.1.6
vde2 is a virtual distributed ethernet emulator for emulators like qemu, bochs, and uml.

(*) net-misc-vnc/4.1.2-r3
Remote desktop viewer display system

(*) net-p2p-ctorrent/3.2-r1
Enhanced CTorrent is a BitTorrent console client written in C and C++.

(*) sci-electronics-freehdl/0.0.4
A free VHDL simulator.

(*) sci-electronics-qucs/0.0.13
Quite Universal Circuit Simulator is a Qt based circuit simulator

(*) sci-geosciences-gpsd/2.32
GPS daemon and library to support USB/serial GPS devices and various GPS/mapping clients.

(*) sci-libs-blas-atlas/3.8.0
Automatically Tuned Linear Algebra Software BLAS implementation

(*) sci-libs-lapack-reference/3.1.1-r1
FORTRAN reference implementation of LAPACK Linear Algebra PACKage

(*) sci-mathematics-octave/2.1.73
GNU Octave is a high-level language (MatLab compatible) intended for numerical computations

(*) sci-mathematics-octave/forge-2006.03.17
A collection of custom scripts, functions and extensions for GNU Octave

(*) sci-mathematics-octave-forge/2006.03.17
A collection of custom scripts, functions and extensions for GNU Octave

(*) sci-mathematics-scilab/4.1.2
Scientific software package for numerical computations (Matlab lookalike)

(*) sci-visualization-gnuplot/4.2.2-r1
Command-line driven interactive plotting program

(*) sys-apps-pciutils/2.2.7-r1
Various utilities dealing with the PCI bus

(*) sys-apps-pcmciautils/014-r1
PCMCIA userspace utilities for gentoo kernel 2.6.13 and beyond

(*) sys-apps-setserial/2.17-r3
Configure your serial ports with it

(*) sys-apps-usbd/0.1
USB Daemon

(*) sys-apps-usermode-utilities/20060323
Tools for use with Usermode gentoo virtual machines

(*) sys-apps-xinetd/2.3.14
powerful replacement for inetd

(*) sys-boot-yaboot/1.3.14
PPC Bootloader

(*) sys-devel-binutils-config/1.9-r4
Utility to change the binutils version being used

(*) sys-devel-crossdev/0.9.18-r7
Gentoo Cross-toolchain generator

(*) sys-devel-gcc/3.4.6-r2
The GNU Compiler Collection. Includes C/C++, java compilers, pie+ssp extensions, Haj Ten Brugge runtime bounds checking

(*) sys-devel-gcc/4.1.2
The GNU Compiler Collection. Includes C/C++, java compilers, pie+ssp extensions, Haj Ten Brugge runtime bounds checking

(*) sys-devel-gcc/config-1.4.0-r4
Utility to change the gcc compiler being used

(*) sys-devel-gcc-config/1.4.0-r4
Utility to change the gcc compiler being used

(*) sys-fs-mac-fdisk/0.1-r6
Mac/PowerMac disk partitioning utility

(*) sys-fs-udev/115-r1
gentoo dynamic and persistent device naming support (aka userspace devfs)

(*) sys-kernel-gentoo-sources/2.6.21-r4
Full sources including the Gentoo patchset for the 2.6 kernel tree

(*) sys-kernel-gentoo-sources/2.6.23-r1
Full sources including the Gentoo patchset for the 2.6 kernel tree

(*) sys-kernel-gentoo-sources/2.6.23-r3
Full sources including the Gentoo patchset for the 2.6 kernel tree

(*) sys-kernel-gentoo-sources/2.6.23-r9
Full sources including the Gentoo patchset for the 2.6 kernel tree

(*) sys-libs-cracklib/2.8.12
Password Checking Library

(*) sys-libs-db/4.3.29-r2
Berkeley DB

(*) sys-libs-db/4.5.20_p2
Oracle Berkeley DB

(*) sys-libs-glibc/2.6.1
GNU libc6 (also called glibc2) C library

(*) sys-libs-gpm/1.20.1-r6
Console-based mouse driver

(*) sys-libs-ncurses/5.6-r2
console display library

(*) sys-libs-timezone-data/2007k
Timezone data (/usr/share/zoneinfo) and utilities (tzselect/zic/zdump)

(*) sys-process-lsof/4.78
Lists open files for running Unix processes

(*) virtual-blas/1.0
Virtual for FORTRAN 77 BLAS implementation

(*) virtual-cblas/1.0
Virtual for BLAS C implementation

(*) virtual-jdk/1.4.2
Virtual for JDK

(*) virtual-jdk/1.5.0
Virtual for JDK

(*) virtual-perl-MIME-Base64/3.07
Virtual for MIME-Base64

(*) www-client-dillo/0.8.6
Lean GTK+-based web browser

(*) www-client-links/2.1_pre28-r1
links is a fast lightweight text and graphic web-browser

(*) www-client-mozilla-firefox/2.0.0.12
Firefox Web Browser

(*) www-client-opera/9.26
Opera web browser

(*) www-servers-apache/2.2.8
The Apache Web Server.

(*) x11-apps-xclock/1.0.3
analog / digital clock for X

(*) x11-apps-xlogo/1.0.1
X Window System logo

(*) x11-base-xorg-server/1.3.0.0-r5
X.Org X servers

(*) x11-base-xorg-x11/7.2
An X11 implementation maintained by the X.Org Foundation (meta package)

(*) x11-libs-gtk+/1.2.10-r12
The GIMP Toolkit

(*) x11-libs-gtk+/2.12.5-r1
Gimp ToolKit +

(*) x11-libs-libxcb/1.1
X C-language Bindings library

(*) x11-libs-openmotif/2.3.0
Open Motif

(*) x11-libs-pango/1.18.4
Text rendering and layout library

(*) x11-libs-qt/3.3.8-r4
The Qt toolkit is a comprehensive C++ application development framework.

(*) x11-libs-qt/4.3.2-r1
The Qt toolkit is a comprehensive C++ application development framework.

(*) x11-libs-wxGTK/2.6.4.0-r3
GTK+ version of wxWidgets, a cross-platform C++ GUI toolkit.

(*) x11-libs-wxGTK/2.8.7.1-r1
GTK+ version of wxWidgets, a cross-platform C++ GUI toolkit.

(*) x11-misc-Xorgautoconfig/0.2.4-r1
Xorgautconfig generates xorg.conf files for PPC based computers.

(*) x11-misc-gccmakedep/1.0.2
create dependencies in makefiles using 'gcc -M'

(*) x11-misc-xdaliclock/2.24
Dali Clock is a digital clock. When a digit changes, it melts into its new shape.

(*) x11-misc-xdialog/2.2.1-r1
drop-in replacement for cdialog using GTK

(*) x11-terms-aterm/1.0.1
A terminal emulator with transparency support as well as rxvt backwards compatibility

(*) x11-terms-multi-aterm/0.2.1
A terminal emulator with transparency support as well as rxvt backwards compatibility like aterm, with tab support

(*) x11-terms-rxvt/2.7.10-r3
rxvt -- nice small x11 terminal

(*) x11-terms-wterm/6.2.9-r2
A fork of rxvt patched for fast transparency and a NeXT scrollbar

(*) x11-terms-xterm/229
Terminal Emulator for X Windows

(*) x11-wm-fluxbox/1.0.0
Fluxbox is an X11 window manager featuring tabs and an iconbar

(*) x11-wm-twm/1.0.3
X.Org twm application

(*) x11-wm-windowmaker/0.92.0-r3
The fast and light GNUstep window manager


Back to top
View user's profile Send private message
lordcris
Apprentice
Apprentice


Joined: 09 Jul 2002
Posts: 248

PostPosted: Thu Mar 27, 2008 12:46 pm    Post subject: Reply with quote

gringo,
could you upload the new openoffice (2.4.0) pls.
tnx
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Thu Mar 27, 2008 1:59 pm    Post subject: Reply with quote

lordcris wrote:
gringo,
could you upload the new openoffice (2.4.0) pls.
tnx


sure, no problem. I will have access to my powerbook this weekend so expect a new package available on monday.

EDIT : the harddrive of this lappy died last weekend and i recieved the new one on friday. Will update packages asap.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Sun Apr 27, 2008 3:42 am    Post subject: Reply with quote

I see you haven't put up a OOo-2.4.0 yet. Did you manage to build it at all?
On my iMac G4 I ran out of virtual memory....... I don't really look forward
resizing a few partitions on my hard drive just to have enough swap space
to compile OOo.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sun Apr 27, 2008 10:00 am    Post subject: Reply with quote

Quote:
On my iMac G4 I ran out of virtual memory


yup, i had that too (among other failures), but it built successfully yesterday after i added more ram ( i have 1.5 gigs now).
I tried to upload the package but my upload speed at home sucks ( uploading 211 mb at an average speed of 10 kb/s isnt funny), will upload from my job on monday.

Theres no need to resize partitions if you need more swap btw, if you have space enough and you need f.ex. need 2 gigs for additional swapspace :

dd if=/dev/zero of=/swap bs=1024 count=2097152
mkswap /swap
swapon /swap

just in case that helps you, it helped me to build ooo in the past ;)

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Sun Apr 27, 2008 10:43 am    Post subject: Reply with quote

i just saw that mozilla-firefox-3.0_beta5-r1 is in unstable now, did anyone here have any success building ooo against these betas ?
If i find time i will try, there are some bugs open already ( with fixes), so it looks like it is possible.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Sun Apr 27, 2008 10:34 pm    Post subject: Reply with quote

gringo wrote:
Quote:
On my iMac G4 I ran out of virtual memory


yup, i had that too (among other failures), but it built successfully yesterday after i added more ram ( i have 1.5 gigs now).
I tried to upload the package but my upload speed at home sucks ( uploading 211 mb at an average speed of 10 kb/s isnt funny), will upload from my job on monday.

Theres no need to resize partitions if you need more swap btw, if you have space enough and you need f.ex. need 2 gigs for additional swapspace :

dd if=/dev/zero of=/swap bs=1024 count=2097152
mkswap /swap
swapon /swap

just in case that helps you, it helped me to build ooo in the past ;)

cheers

I may give that a try, I think I have disk space somewhere on my
apple partition which I really only use to store my ogg and flac files.

Talking about your next post, I didn't try that - I am not sure about
trying firefox 3 yet and then I usually don't build OOo against firefox
anyway. I am not sure why I would do so.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Mon Apr 28, 2008 10:23 am    Post subject: Reply with quote

ooo-2.4.0 package is now available for those interested.

It´s built against mozilla-firefox-2.0.0.14 ( which i uploaded too in case that matters).
As i have reinstalled i´m trying to keep now as close to desktop profile as possible, this means that gnome, gstreamer, java and the new opengl USE flags are enabled now too.
I have more updates ready to upload but these will have to wait till tomorrow.

I´m open to suggestion of course, let me know if i did something wrong or if anyone needs something more.

Quote:
I may give that a try, I think I have disk space somewhere on my
apple partition which I really only use to store my ogg and flac files.


ooo-2.4 built failed here with 1000 mb swap and 512 mb ram ( out of virtual memory error) and i don´t know if it will build with 2 gigs of swap. As i was going to add more ram i spent no time investigating this. Building in parallel is impossible here btw, something is wrong with the "build order logic" from ooo but i have no skills to fix it.

Quote:
Talking about your next post, I didn't try that - I am not sure about
trying firefox 3 yet and then I usually don't build OOo against firefox
anyway. I am not sure why I would do so.


i´m using firefox betas on several boxes ( including my alubook) and i haven´t found any problems so far but i don´t know if ooo will build, it didnt the last time i tried.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Sun May 11, 2008 5:10 am    Post subject: Reply with quote

In the end OOo-2.4.0 compiled successfully once it made it to ppc. It required a
little bit more HD space than I had at first but it compiled. I guess some improvements
to ooo-build cut back the need for memory.
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Mon Jul 07, 2008 3:14 pm    Post subject: Reply with quote

ooo-2.4.1 package available

other (minor) random updates too; will now switch to gcc-4.3.1/glibc-2.8 in this lappy, next updates will take some time therefore.

enjoy :)
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Tue Jul 08, 2008 11:04 am    Post subject: Reply with quote

Good luck with the switch 8)
Keep us informed of any problems. I am thinking of doing
the switch myself soon. :D
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Tue Jul 08, 2008 1:49 pm    Post subject: Reply with quote

Quote:
Good luck with the switch


he, thanks ;-)

Quote:
Keep us informed of any problems. I am thinking of doing
the switch myself soon.


sure, will let you know of any problems i may hit. I have other two workstations (x86_64 both) running an up to date - unstable gentoo, no major problems so far, but these are pretty minimal installs ( no kde or gnome f.ex.) so i expect way more problems here.

But my main problem now, im unable to build a proper crosscompiler for my other boxes in order to help my alubook building stuff ( already reported as bug 229391), lets see what happens here ( EDIT -> workaround in this thread in case anyone hits the same problem).

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Fri Jul 18, 2008 1:16 pm    Post subject: Reply with quote

ok, i´m right now in the middle of the update ( almost 400 packages rebuilt ) and not a single problem so far. Kudos to the devs !
Will post again once the update finished.

EDIT : update done, i had a few packages failing to build ( gimp, gtk+) but im quite sure this is a distcc problem, unrelated to the update.

cheers
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
gringo
Advocate
Advocate


Joined: 27 Apr 2003
Posts: 3793

PostPosted: Fri Oct 10, 2008 4:22 pm    Post subject: Reply with quote

server is up again, but i´m still uploading the packages. Will take some time.
_________________
Error: Failing not supported by current locale
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum